import { jsx } from "react/jsx-runtime";
import { Tree as Tree$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Tree = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Tree", ...props, children: /* @__PURE__ */ jsx(Tree$1, { weight: variant }) });
  }
);
Tree.displayName = "Tree";
Object.assign(Tree, { isGdsIcon: true });
export {
  Tree
};
